Package com.xebialabs.xlrelease.domain.delivery

## Enum DeliveryStatus

- java.lang.Object
- - java.lang.Enum<DeliveryStatus>
  - - com.xebialabs.xlrelease.domain.delivery.DeliveryStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DeliveryStatus>`

      public enum DeliveryStatus
      extends java.lang.Enum<DeliveryStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPLETED` |
    `IN_PROGRESS` |
    `TEMPLATE` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DeliveryStatus[]` | `INACTIVE_STATUSES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isTemplate()` |
    `java.lang.String` | `value()` |
    `static DeliveryStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DeliveryStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEMPLATE

          public static final DeliveryStatus TEMPLATE

    - #### IN_PROGRESS

          public static final DeliveryStatus IN_PROGRESS

    - #### COMPLETED

          public static final DeliveryStatus COMPLETED

  - ### Field Detail

    - #### INACTIVE_STATUSES

          public static final DeliveryStatus[] INACTIVE_STATUSES

  - ### Method Detail

    - #### values

          public static DeliveryStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeliveryStatus c : DeliveryStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeliveryStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isTemplate

          public boolean isTemplate()

    - #### value

          public java.lang.String value()